    The XSPEC vmcflow model: cooling flow, mekal.

xsvmcflow
The xsvmcflow model is an additive model component.

The model is described at [1] . The results of this model depend on the cosmology settings set with set_xscosmo .

>>> create_model_component("xsvmcflow", "mdl")
>>> print(mdl)

Create a component of the xsvmcflow model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.lowT thawed 0.1 0.0808 79.9 keV mdl.highT thawed 4 0.0808 79.9 keV mdl.He frozen 1 0 1000 mdl.C frozen 1 0 1000 mdl.N frozen 1 0 1000 mdl.O frozen 1 0 1000 mdl.Ne frozen 1 0 1000 mdl.Na frozen 1 0 1000 mdl.Mg frozen 1 0 1000 mdl.Al frozen 1 0 1000 mdl.Si frozen 1 0 1000 mdl.S frozen 1 0 1000 mdl.Ar frozen 1 0 1000 mdl.Ca frozen 1 0 1000 mdl.Fe frozen 1 0 1000 mdl.Ni frozen 1 0 1000 mdl.redshift frozen 0 0 10 mdl.switch frozen 1 -3.40282e+38 3.40282e+38 mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
lowT
The minimum temperature, in keV.
highT
The maximum temperature, in keV.
He, C, N, O, Ne, Na, Mg, Al, Si, S, Ar, Ca, Fe, Ni
The abundance relative to Solar.
redshift
The redshift of the plasma.
switch
If 0, the mekal code is run to evaluate the model; if 1 then interpolation of the mekal data is used; if 2 then interpolation of APEC data is used. See [1] for more details. This parameter can not be thawed.
norm
The mass accretion rate (solar mass per year).

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelMkcflow.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023